import _ = require('lodash');
export class VOBase {
  constructor(response: object) {
    this.errcode = _.get(response, 'errcode', 0);
    this.errmsg = _.get(response, 'errmsg', 'ok');
    this.details = _.get(response, 'details');
    this.total = _.get(response, 'total');
    // 查询列表和只返回结果的区分,根据total决定
    if (this.total || this.total === 0) {
      this.data = _.get(response, 'data');
    } else {
      this.data = response;
    }
  }
  errcode: number;
  errmsg: string;
  details?: string;
  data?: any;
  total?: number;
}
